Cluster Versions - List
指定した場所で使用できる Service Fabric クラスター コード バージョンの一覧を取得します。
Service Fabric クラスター リソースで使用可能なすべてのコード バージョンを場所別に取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ServiceFabric/locations/{location}/clusterVersions?api-version=2023-11-01-preview
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
location
|
path | True |
string minLength: 1 |
Azure リージョンの名前。 |
|
subscription
|
path | True |
string minLength: 1 |
ターゲット サブスクリプションの ID。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
要求は成功しました。 |
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
List cluster versions
要求のサンプル
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ServiceFabric/locations/eastus/clusterVersions?api-version=2023-11-01-preview
応答のサンプル
{
"value": [
{
"name": "6.1.480.9494",
"type": "Microsoft.ServiceFabric/locations/environments/clusterVersions",
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ServiceFabric/locations/eastus/environments/Windows/clusterVersions/6.1.480.9494",
"properties": {
"codeVersion": "6.1.480.9494",
"environment": "Windows",
"supportExpiryUtc": "2018-06-15T23:59:59.9999999"
}
},
{
"name": "6.1.187.1",
"type": "Microsoft.ServiceFabric/locations/environments/clusterVersions",
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ServiceFabric/locations/eastus/environments/Linux/clusterVersions/6.1.187.1",
"properties": {
"codeVersion": "6.1.187.1",
"environment": "Linux",
"supportExpiryUtc": "2018-06-15T23:59:59.9999999"
}
}
]
}
定義
| 名前 | 説明 |
|---|---|
|
Cluster |
ClusterCodeVersionsのリスト操作の応答。 |
|
Cluster |
Service Fabric ランタイム バージョンの結果 |
|
Cluster |
クラスター オペレーティング システム(既定値は Windows) |
|
Error |
エラーの構造。 |
|
Error |
エラーの詳細。 |
ClusterCodeVersionsListResult
ClusterCodeVersionsのリスト操作の応答。
| 名前 | 型 | 説明 |
|---|---|---|
| nextLink |
string (uri) |
アイテムの次のページへのリンク |
| value |
このページのClusterCodeVersions項目 |
ClusterCodeVersionsResult
Service Fabric ランタイム バージョンの結果
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
結果の特定 |
| name |
string |
結果の名称 |
| properties.codeVersion |
string |
クラスターの Service Fabric ランタイム バージョン。 |
| properties.environment |
このバージョンが Windows または Linux オペレーティング システム用かどうかを示します。 |
|
| properties.supportExpiryUtc |
string |
バージョンのサポートの有効期限の日付。 |
| type |
string |
結果リソースタイプ |
ClusterEnvironment
クラスター オペレーティング システム(既定値は Windows)
| 値 | 説明 |
|---|---|
| Windows |
Windows オペレーティング システム |
| Linux |
Linux オペレーティング システム |
ErrorModel
エラーの構造。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラーの詳細。 |
ErrorModelError
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
エラー コード。 |
| message |
string |
エラー メッセージ。 |